[RESOLU]Le wysiwyg n’apparaît plus dans les pages contenus

Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
#1
Citation :#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: 1.11.3
#~ Url du site :
#~ Hébergeur / Soft : 1and1
#~ Informations Système :
#~ ----------------------------------------------
#~ Cms Version: 1.11.3
#~ Installed Modules:
#~ CMSMailer: 5.2.1
#~ CMSPrinting: 1.0.3
#~ FileManager: 1.4.2
#~ MenuManager: 1.8.4
#~ FrontEndUsers: 1.21
#~ ModuleManager: 1.5.5
#~ News: 2.12.10
#~ Search: 1.7.7
#~ ThemeManager: 1.1.7
#~ TinyMCE: 2.9.12
#~ Showtime: 3.2
#~ CGJobMgr: 1.2.11
#~ CGExtensions: 1.31.2
#~ NMS: 2.7
#~ CustomContent: 1.8.3
#~ NMSTrack: 1.0
#~ TemplateExternalizer: 2.0.8
#~ FormBuilder: 0.7.3
#~ Gallery: 1.6
#~ JQueryFU: 1.0.5
#~ FormBrowser: 0.4.2
#~ ImageCompressor: 0.10
#~ SEOTools2: 1.1.1
#~ btAdminer: 1.5.0
#~ MicroTiny: 1.2.4
#~ Config Information:
#~ php_memory_limit:
#~ process_whole_template:
#~ output_compression: false
#~ max_upload_size: 40000000
#~ url_rewriting: mod_rewrite
#~ page_extension: .html
#~ query_var: page
#~ image_manipulation_prog: GD
#~ auto_alias_content: true
#~ locale: fr_FR
#~ default_encoding: utf-8
#~ admin_encoding: utf-8
#~ set_names: true
#~ Php Information:
#~ phpversion: 5.4.8
#~ md5_function: On (Vrai)
#~ gd_version: 2
#~ tempnam_function: On (Vrai)
#~ magic_quotes_runtime: Off (Faux)
#~ E_STRICT: 0
#~ E_DEPRECATED: 0
#~ memory_limit: 90M
#~ max_execution_time: 50000
#~ output_buffering: 0
#~ safe_mode: Off (Faux)
#~ file_uploads: On (Vrai)
#~ post_max_size: 8M
#~ upload_max_filesize: 40M
#~ session_save_path: /tmp (1777)
#~ session_use_cookies: On (Vrai)
#~ xml_function: On (Vrai)
#~ xmlreader_class: On (Vrai)
#~ Server Information:
#~ Server Api: cgi-fcgi
#~ Server Db Type: MySQL (mysqli)
#~ Server Db Version: 5.0.95
#~ Server Db Grants: Trouvé un privilège "GRANT ALL" qui semble être adapté
#~ ----------------------------------------------
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Bonjour,

lorsque je veux éditer les pages de contenus ou les news, je n'ai plus accès à un éditeur WYSIWYG.

J'ai trouvé un post sur ce soucis mais je n'ai pas compris ce qu'il y a avait à faire. (http://www.cmsmadesimple.fr/forum/viewtopic.php?id=4725)


Si quelqu'un peut me donner un coup de main car là je suis perdu Sad

Merci par avance
#1
Citation :#~~~~~ DEBUT BLOC A NE PAS SUPPRIMER ~~~~~
#~ Version du CMS: 1.11.3
#~ Url du site :
#~ Hébergeur / Soft : 1and1
#~ Informations Système :
#~ ----------------------------------------------
#~ Cms Version: 1.11.3
#~ Installed Modules:
#~ CMSMailer: 5.2.1
#~ CMSPrinting: 1.0.3
#~ FileManager: 1.4.2
#~ MenuManager: 1.8.4
#~ FrontEndUsers: 1.21
#~ ModuleManager: 1.5.5
#~ News: 2.12.10
#~ Search: 1.7.7
#~ ThemeManager: 1.1.7
#~ TinyMCE: 2.9.12
#~ Showtime: 3.2
#~ CGJobMgr: 1.2.11
#~ CGExtensions: 1.31.2
#~ NMS: 2.7
#~ CustomContent: 1.8.3
#~ NMSTrack: 1.0
#~ TemplateExternalizer: 2.0.8
#~ FormBuilder: 0.7.3
#~ Gallery: 1.6
#~ JQueryFU: 1.0.5
#~ FormBrowser: 0.4.2
#~ ImageCompressor: 0.10
#~ SEOTools2: 1.1.1
#~ btAdminer: 1.5.0
#~ MicroTiny: 1.2.4
#~ Config Information:
#~ php_memory_limit:
#~ process_whole_template:
#~ output_compression: false
#~ max_upload_size: 40000000
#~ url_rewriting: mod_rewrite
#~ page_extension: .html
#~ query_var: page
#~ image_manipulation_prog: GD
#~ auto_alias_content: true
#~ locale: fr_FR
#~ default_encoding: utf-8
#~ admin_encoding: utf-8
#~ set_names: true
#~ Php Information:
#~ phpversion: 5.4.8
#~ md5_function: On (Vrai)
#~ gd_version: 2
#~ tempnam_function: On (Vrai)
#~ magic_quotes_runtime: Off (Faux)
#~ E_STRICT: 0
#~ E_DEPRECATED: 0
#~ memory_limit: 90M
#~ max_execution_time: 50000
#~ output_buffering: 0
#~ safe_mode: Off (Faux)
#~ file_uploads: On (Vrai)
#~ post_max_size: 8M
#~ upload_max_filesize: 40M
#~ session_save_path: /tmp (1777)
#~ session_use_cookies: On (Vrai)
#~ xml_function: On (Vrai)
#~ xmlreader_class: On (Vrai)
#~ Server Information:
#~ Server Api: cgi-fcgi
#~ Server Db Type: MySQL (mysqli)
#~ Server Db Version: 5.0.95
#~ Server Db Grants: Trouvé un privilège "GRANT ALL" qui semble être adapté
#~ ----------------------------------------------
#~~~~~ FIN BLOC A NE PAS SUPPRIMER ~~~~~



Bonjour,

lorsque je veux éditer les pages de contenus ou les news, je n'ai plus accès à un éditeur WYSIWYG.

J'ai trouvé un post sur ce soucis mais je n'ai pas compris ce qu'il y a avait à faire. (http://www.cmsmadesimple.fr/forum/viewtopic.php?id=4725)


Si quelqu'un peut me donner un coup de main car là je suis perdu Sad

Merci par avance
#2
Citation :c'est le changement du fichier lib/page.functions.php qui est responsable de ce bug.
ligne 599 : if ($enablewysiwyg == true || $forcewysiwyg)
devient
if ($enablewysiwyg == true && $forcewysiwyg)
Donc, en attendant la sortie de 1.11.4, tu vas dans /lib/page.functions.php et tu modifies ce fichier à la ligne 599.
if ($enablewysiwyg == true && $forcewysiwyg)
doit être
if ($enablewysiwyg == true || $forcewysiwyg)
#2
Citation :c'est le changement du fichier lib/page.functions.php qui est responsable de ce bug.
ligne 599 : if ($enablewysiwyg == true || $forcewysiwyg)
devient
if ($enablewysiwyg == true && $forcewysiwyg)
Donc, en attendant la sortie de 1.11.4, tu vas dans /lib/page.functions.php et tu modifies ce fichier à la ligne 599.
if ($enablewysiwyg == true && $forcewysiwyg)
doit être
if ($enablewysiwyg == true || $forcewysiwyg)
#3
le post fait référence à une install SVN, ce n'est pas ton cas je te rassure Wink

Pourquoi tu as deux editeur de WYSIWYG ? c'est volontaire ? faudrait en retirer un sinon ..

Ca plante depuis quand chez toi ?
J'ai eu un soucis de WYSIWYG qui disparait, c'était principalement du à un code smarty mal écrit qui l'empêchait de mettre en cache les templates (dont celui utilisé par mon WYSIWYG)

regarde si tu as fait récemment des modifications de contenu
#3
le post fait référence à une install SVN, ce n'est pas ton cas je te rassure Wink

Pourquoi tu as deux editeur de WYSIWYG ? c'est volontaire ? faudrait en retirer un sinon ..

Ca plante depuis quand chez toi ?
J'ai eu un soucis de WYSIWYG qui disparait, c'était principalement du à un code smarty mal écrit qui l'empêchait de mettre en cache les templates (dont celui utilisé par mon WYSIWYG)

regarde si tu as fait récemment des modifications de contenu
#4
Jean le Chauve a écrit :
Citation :c'est le changement du fichier lib/page.functions.php qui est responsable de ce bug.
ligne 599 : if ($enablewysiwyg == true || $forcewysiwyg)
devient
if ($enablewysiwyg == true && $forcewysiwyg)
Donc, en attendant la sortie de 1.11.4, tu vas dans /lib/page.functions.php et tu modifies ce fichier à la ligne 599.
if ($enablewysiwyg == true && $forcewysiwyg)
doit être
if ($enablewysiwyg == true || $forcewysiwyg)


Merci, mais mon fichier contient déjà la correction et cela ne me permet pas d'avoir un des deux éditeur (TinyMCE et Microtiny) dans les zones d'éditions de contenu.


Je suis étonné que mon fichier d'origine est déjà la correction appliquée et que cela ne me permet pas d'afficher mon éditeur WYSIWYG correctement.


Quelqu'un a eu la même chose et/ou à résolu ?
#4
Jean le Chauve a écrit :
Citation :c'est le changement du fichier lib/page.functions.php qui est responsable de ce bug.
ligne 599 : if ($enablewysiwyg == true || $forcewysiwyg)
devient
if ($enablewysiwyg == true && $forcewysiwyg)
Donc, en attendant la sortie de 1.11.4, tu vas dans /lib/page.functions.php et tu modifies ce fichier à la ligne 599.
if ($enablewysiwyg == true && $forcewysiwyg)
doit être
if ($enablewysiwyg == true || $forcewysiwyg)


Merci, mais mon fichier contient déjà la correction et cela ne me permet pas d'avoir un des deux éditeur (TinyMCE et Microtiny) dans les zones d'éditions de contenu.


Je suis étonné que mon fichier d'origine est déjà la correction appliquée et que cela ne me permet pas d'afficher mon éditeur WYSIWYG correctement.


Quelqu'un a eu la même chose et/ou à résolu ?
#5
Citation :Je suis étonné que mon fichier d'origine est déjà la correction appliquée et que cela ne me permet pas d'afficher mon éditeur WYSIWYG correctement.
ben il n'y a pas de correction dans ton fichier c'est le fichier original
les modifications que Jean préconise ont eu lieu Après la ta version puisque c'est en cours actuellement sur le SVN

Nota sur la 1.11.3 j'ai aussi 2 wysiwyg et tout fonctionne Smile
J-C Etiemble v 2.2.xx
#5
Citation :Je suis étonné que mon fichier d'origine est déjà la correction appliquée et que cela ne me permet pas d'afficher mon éditeur WYSIWYG correctement.
ben il n'y a pas de correction dans ton fichier c'est le fichier original
les modifications que Jean préconise ont eu lieu Après la ta version puisque c'est en cours actuellement sur le SVN

Nota sur la 1.11.3 j'ai aussi 2 wysiwyg et tout fonctionne Smile
J-C Etiemble v 2.2.xx
#6
J'ai fait la mise à jour du module "JQueryFU" et c'est depuis que cela bug.

Sinon, je n'ai pas fait de modification spéciale hormis de la modification de contenu.

Mais même après avoir désinstallé ce module ainsi que l'autre éditeur de texte (Microtiny), je n'ai toujours pas mon éditeur de texte TinyMCE.

En revanche en local, cela fonctionne correctement sous wamp.
#6
J'ai fait la mise à jour du module "JQueryFU" et c'est depuis que cela bug.

Sinon, je n'ai pas fait de modification spéciale hormis de la modification de contenu.

Mais même après avoir désinstallé ce module ainsi que l'autre éditeur de texte (Microtiny), je n'ai toujours pas mon éditeur de texte TinyMCE.

En revanche en local, cela fonctionne correctement sous wamp.
#7
As-tu vérifié les préférences utilisateurs ?
#7
As-tu vérifié les préférences utilisateurs ?
#8
Jean le Chauve a écrit :As-tu vérifié les préférences utilisateurs ?


Oui, tout est correct (voir l'image ci-dessous)
[Image: cmsms.jpg]

La j'avoue je sèche, j'ai regardé partout et je ne comprends pas. Le plus embêtant, c'est pour mes clients.

D'où mon envie que cela fonctionne correctement.
#8
Jean le Chauve a écrit :As-tu vérifié les préférences utilisateurs ?


Oui, tout est correct (voir l'image ci-dessous)
[Image: cmsms.jpg]

La j'avoue je sèche, j'ai regardé partout et je ne comprends pas. Le plus embêtant, c'est pour mes clients.

D'où mon envie que cela fonctionne correctement.
#9
J'ai essayé de refaire un upgrade de la dernière version, ainsi que réinstaller le module TinyMCE mais sans succès.

jce76350 propose sur son site le module sous une version plus récente " TinyMCE version 2.9.12" est ce que cela peut corriger mon soucis ?
#9
J'ai essayé de refaire un upgrade de la dernière version, ainsi que réinstaller le module TinyMCE mais sans succès.

jce76350 propose sur son site le module sous une version plus récente " TinyMCE version 2.9.12" est ce que cela peut corriger mon soucis ?
#10
jce76350 a écrit :
Citation :Je suis étonné que mon fichier d'origine est déjà la correction appliquée et que cela ne me permet pas d'afficher mon éditeur WYSIWYG correctement.
ben il n'y a pas de correction dans ton fichier c'est le fichier original
les modifications que Jean préconise ont eu lieu Après la ta version puisque c'est en cours actuellement sur le SVN

Nota sur la 1.11.3 j'ai aussi 2 wysiwyg et tout fonctionne Smile


Voici une partie de mon fichier page.functions.php
Code :
[== PHP ==]
function create_textarea($enablewysiwyg, $text, $name, $classname = '', $id = '', $encoding = '', $stylesheet = '', $width = '80', $height = '15', $forcewysiwyg = '', $wantedsyntax = '', $addtext = '')
{
  // todo: rewrite me with var args... to accept a numeric array of arguments, or a hash.
  $gCms = cmsms();
  $result = '';
  $uid = get_userid(false);

  if ($enablewysiwyg == true || $forcewysiwyg)
    {
      $module = cms_utils::get_wysiwyg_module($forcewysiwyg);
      if( $module )
    {
      $result = $module->WYSIWYGTextArea($name,$width,$height,$encoding,$text,$stylesheet,$addtext);
    }
    }

  if( !$result && $wantedsyntax )
    {
      // here we should get a list of installed/available modules.
      $module = cmsms()->GetModuleOperations()->GetSyntaxHighlighter($forcewysiwyg);
      if( $module )
    {
      $result = $module->SyntaxTextArea($name,$wantedsyntax,$width,$height,$encoding,$text,$addtext);
    }
    }

Pour moi cela est correct
#10
jce76350 a écrit :
Citation :Je suis étonné que mon fichier d'origine est déjà la correction appliquée et que cela ne me permet pas d'afficher mon éditeur WYSIWYG correctement.
ben il n'y a pas de correction dans ton fichier c'est le fichier original
les modifications que Jean préconise ont eu lieu Après la ta version puisque c'est en cours actuellement sur le SVN

Nota sur la 1.11.3 j'ai aussi 2 wysiwyg et tout fonctionne Smile


Voici une partie de mon fichier page.functions.php
Code :
[== PHP ==]
function create_textarea($enablewysiwyg, $text, $name, $classname = '', $id = '', $encoding = '', $stylesheet = '', $width = '80', $height = '15', $forcewysiwyg = '', $wantedsyntax = '', $addtext = '')
{
  // todo: rewrite me with var args... to accept a numeric array of arguments, or a hash.
  $gCms = cmsms();
  $result = '';
  $uid = get_userid(false);

  if ($enablewysiwyg == true || $forcewysiwyg)
    {
      $module = cms_utils::get_wysiwyg_module($forcewysiwyg);
      if( $module )
    {
      $result = $module->WYSIWYGTextArea($name,$width,$height,$encoding,$text,$stylesheet,$addtext);
    }
    }

  if( !$result && $wantedsyntax )
    {
      // here we should get a list of installed/available modules.
      $module = cmsms()->GetModuleOperations()->GetSyntaxHighlighter($forcewysiwyg);
      if( $module )
    {
      $result = $module->SyntaxTextArea($name,$wantedsyntax,$width,$height,$encoding,$text,$addtext);
    }
    }

Pour moi cela est correct
#11
Ton fichier est correct, oublie ce post, il ne te concerne pas.
#11
Ton fichier est correct, oublie ce post, il ne te concerne pas.
#12
ok, j'avoue je suis assez surpris qu'être le seul à rencontrer ce problème ?

J'ai également essayer de passer sur une version plus ancienne de TinyMCE mais toujours pas de changement, mais je ne désespère pas, je continue de chercher


Après différents test, mon problème n'est pas présent lorsque je suis en local avec Wamp.
Est ce que cela pourrait venir de mon hébergement chez 1and1 ?
#12
ok, j'avoue je suis assez surpris qu'être le seul à rencontrer ce problème ?

J'ai également essayer de passer sur une version plus ancienne de TinyMCE mais toujours pas de changement, mais je ne désespère pas, je continue de chercher


Après différents test, mon problème n'est pas présent lorsque je suis en local avec Wamp.
Est ce que cela pourrait venir de mon hébergement chez 1and1 ?
#13
Je viens de trouver 2 erreurs lorsque que je souhaites éditer mes pages de contenu et article.

Les voici ci-dessous, si quelqu'un à une aide à m'apporter la-dessus :

Détails de l’erreur de la page Web

Agent utilisateur : Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; BTRS131057; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET4.0C; .NET4.0E; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)
Horodateur : Tue, 27 Nov 2012 10:15:29 UTC


Message : Erreur de syntaxe
Ligne : 1
Caractère : 1
Code : 0
URI : http://www.xxx.fr/modules/TinyMCE/tinymc...iny_mce.js


Message : 'tinymce' est indéfini.
Ligne : 3
Caractère : 1
Code : 0
URI : http://www.xxx.fr/admin/moduleinterface....late=false


Merci par avance
#13
Je viens de trouver 2 erreurs lorsque que je souhaites éditer mes pages de contenu et article.

Les voici ci-dessous, si quelqu'un à une aide à m'apporter la-dessus :

Détails de l’erreur de la page Web

Agent utilisateur : Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; BTRS131057; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET4.0C; .NET4.0E; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)
Horodateur : Tue, 27 Nov 2012 10:15:29 UTC


Message : Erreur de syntaxe
Ligne : 1
Caractère : 1
Code : 0
URI : http://www.xxx.fr/modules/TinyMCE/tinymc...iny_mce.js


Message : 'tinymce' est indéfini.
Ligne : 3
Caractère : 1
Code : 0
URI : http://www.xxx.fr/admin/moduleinterface....late=false


Merci par avance
#14
On ne peut pas vérifier si ton js est correct puisque tu nous donnes www.xxx.fr comme nom de domaine.
#14
On ne peut pas vérifier si ton js est correct puisque tu nous donnes www.xxx.fr comme nom de domaine.
#15
Tu pourrais nous donner ton .htaccess ?
Il y a un post à ce sujet ici : http://stackoverflow.com/questions/11060...sed-as-php
#15
Tu pourrais nous donner ton .htaccess ?
Il y a un post à ce sujet ici : http://stackoverflow.com/questions/11060...sed-as-php
#16
Et en désactivant JqueryFU, as-tu toujours le problème ?
#16
Et en désactivant JqueryFU, as-tu toujours le problème ?
#17
Voici le message complet avec les urls correctes

Détails de l’erreur de la page Web

Agent utilisateur : Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; BTRS131057; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET4.0C; .NET4.0E; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)
Horodateur : Tue, 27 Nov 2012 10:41:50 UTC


Message : Erreur de syntaxe
Ligne : 1
Caractère : 1
Code : 0
URI : http://xxx.fr/modules/TinyMCE/tinymce/js...iny_mce.js


Message : 'tinymce' est indéfini.
Ligne : 3
Caractère : 1
Code : 0
URI : http://xxx.fr/admin/moduleinterface.php?...late=false
#17
Voici le message complet avec les urls correctes

Détails de l’erreur de la page Web

Agent utilisateur : Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 5.1; Trident/4.0; BTRS131057; .NET CLR 1.0.3705; .NET CLR 1.1.4322; Media Center PC 4.0; .NET4.0C; .NET4.0E; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729)
Horodateur : Tue, 27 Nov 2012 10:41:50 UTC


Message : Erreur de syntaxe
Ligne : 1
Caractère : 1
Code : 0
URI : http://xxx.fr/modules/TinyMCE/tinymce/js...iny_mce.js


Message : 'tinymce' est indéfini.
Ligne : 3
Caractère : 1
Code : 0
URI : http://xxx.fr/admin/moduleinterface.php?...late=false
#18
erreur 500 sur l'accès à ces fichiers. L'erreur vient sans doute de ton .htacess
#18
erreur 500 sur l'accès à ces fichiers. L'erreur vient sans doute de ton .htacess
#19
J'ai d'abord reçu cette erreur : Parse error: syntax error, unexpected '",i,"' (T_CONSTANT_ENCAPSED_STRING) in /homepages/45/d283795163/htdocs/copilote/modules/TinyMCE/tinymce/jscripts/tiny_mce/tiny_mce.js on line 1
puis l'erreur 500.
#19
J'ai d'abord reçu cette erreur : Parse error: syntax error, unexpected '",i,"' (T_CONSTANT_ENCAPSED_STRING) in /homepages/45/d283795163/htdocs/copilote/modules/TinyMCE/tinymce/jscripts/tiny_mce/tiny_mce.js on line 1
puis l'erreur 500.
#20
C'est bien ce que je pensais, voici mon htaccess

Code :
[== Indéfini ==]
AddType x-mapp-php6 .php .php3 .php4 .htm .html .js
AddHandler x-mapp-php6 .php .php3 .php4 .htm .html .js


<Files "config.php">
order allow,deny
deny from all
</Files>

#gestion du cache
<ifmodule mod_expires.c>
<filesmatch ".(jpg|jpeg|png|gif|js|css|swf|ico)$">
ExpiresActive on
ExpiresDefault "access plus 1 months"
</filesmatch>
</ifmodule>

# protection de la lecture des répertoires
Options -Indexes

#redirection WWW
RewriteEngine On
RewriteBase /
RewriteCond %{HTTP_HOST} ^uk-cv.fr/r$
RewriteRule ^(.*)   http://www.uk-cv.fr/$1  [QSA,L,R=301]

#Pretty URL et URL Rewriting
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.+)$ index.php?page=$1 [QSA]

#IF the URI contains a "http:"
RewriteCond %{QUERY_STRING} http\: [OR]
#OR if the URI contains a "["
RewriteCond %{QUERY_STRING} \[ [OR]
#OR if the URI contains a "]"
RewriteCond %{QUERY_STRING} \] [OR]
#OR if the URI contains a "<script>"
RewriteCond %{QUERY_STRING} (\<|%3C).*script.*(\>|%3E) [NC,OR]
#OR script trying to set a PHP GLOBALS variable via URL
RewriteCond %{QUERY_STRING} GLOBALS(=|\[|\%[0-9A-Z]{0,2}) [OR]
#OR any script trying to modify a _REQUEST variable via URL
RewriteCond %{QUERY_STRING} _REQUEST(=|\[|\%[0-9A-Z]{0,2})
RewriteRule ^.*$ /?pages=$1 [F,L]

#compression des fichiers
<filesmatch ".(php|html|css|js)$">
SetOutputFilter DEFLATE
</filesmatch>

#Configuration module Apache
ExpiresActive on
ExpiresByType image/gif "access plus 6 months"
ExpiresByType image/jpeg "access plus 6 months"
ExpiresByType image/png "access plus 6 months"
ExpiresByType text/css "access plus 6 months"
ExpiresByType text/javascript "access plus 6 months"
ExpiresByType text/html "access plus 1 day"
ExpiresByType application/x-javascript "access plus 6 months"

<Files ~ "\.(js|css|gif|jpg|png)$">
Header append Cache-Control "public"
</Files>

# Sets your 403 error document
# not absolutely essential to have,
# or you may already have error pages defined elsewhere
ErrorDocument 403 /forbidden403.shtml

# No sense advertising what we are running
ServerSignature Off


Header unset Pragma
FileETag None
Header unset ETag

# BEGIN Cache-Control Headers
<IfModule mod_headers.c>
<FilesMatch "\\.(ico|jpe?g|png|gif|swf|css|gz)$">
Header set Cache-Control "max-age=2592000, public"
</FilesMatch>
<FilesMatch "\\.(js)$">
Header set Cache-Control "max-age=2592000, private"
</FilesMatch>
<filesMatch "\\.(html|htm)$">
Header set Cache-Control "max-age=7200, public"
</filesMatch>
# Disable caching for scripts and other dynamic files
<FilesMatch "\.(pl|php|cgi|spl|scgi|fcgi)$">
Header unset Cache-Control
</FilesMatch>
</IfModule>

<IfModule mod_headers.c>
  <FilesMatch "\.(js|css|xml|gz)$">
    Header append Vary: Accept-Encoding
  </FilesMatch>
</IfModule>

<IfModule mod_deflate.c>
    #The following line is enough for .js and .css
    AddOutputFilter DEFLATE js css

    #The following line also enables compression by file content type, for the following list of Content-Type:s
    AddOutputFilterByType DEFLATE text/html text/plain text/xml application/xml

    #The following lines are to avoid bugs with some browsers
    BrowserMatch ^Mozilla/4 gzip-only-text/html
    BrowserMatch ^Mozilla/4\.0[678] no-gzip
    BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
</IfModule>
# END Cache-Control Headers
#20
C'est bien ce que je pensais, voici mon htaccess

Code :
[== Indéfini ==]
AddType x-mapp-php6 .php .php3 .php4 .htm .html .js
AddHandler x-mapp-php6 .php .php3 .php4 .htm .html .js


<Files "config.php">
order allow,deny
deny from all
</Files>

#gestion du cache
<ifmodule mod_expires.c>
<filesmatch ".(jpg|jpeg|png|gif|js|css|swf|ico)$">
ExpiresActive on
ExpiresDefault "access plus 1 months"
</filesmatch>
</ifmodule>

# protection de la lecture des répertoires
Options -Indexes

#redirection WWW
RewriteEngine On
RewriteBase /
RewriteCond %{HTTP_HOST} ^uk-cv.fr/r$
RewriteRule ^(.*)   http://www.uk-cv.fr/$1  [QSA,L,R=301]

#Pretty URL et URL Rewriting
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^(.+)$ index.php?page=$1 [QSA]

#IF the URI contains a "http:"
RewriteCond %{QUERY_STRING} http\: [OR]
#OR if the URI contains a "["
RewriteCond %{QUERY_STRING} \[ [OR]
#OR if the URI contains a "]"
RewriteCond %{QUERY_STRING} \] [OR]
#OR if the URI contains a "<script>"
RewriteCond %{QUERY_STRING} (\<|%3C).*script.*(\>|%3E) [NC,OR]
#OR script trying to set a PHP GLOBALS variable via URL
RewriteCond %{QUERY_STRING} GLOBALS(=|\[|\%[0-9A-Z]{0,2}) [OR]
#OR any script trying to modify a _REQUEST variable via URL
RewriteCond %{QUERY_STRING} _REQUEST(=|\[|\%[0-9A-Z]{0,2})
RewriteRule ^.*$ /?pages=$1 [F,L]

#compression des fichiers
<filesmatch ".(php|html|css|js)$">
SetOutputFilter DEFLATE
</filesmatch>

#Configuration module Apache
ExpiresActive on
ExpiresByType image/gif "access plus 6 months"
ExpiresByType image/jpeg "access plus 6 months"
ExpiresByType image/png "access plus 6 months"
ExpiresByType text/css "access plus 6 months"
ExpiresByType text/javascript "access plus 6 months"
ExpiresByType text/html "access plus 1 day"
ExpiresByType application/x-javascript "access plus 6 months"

<Files ~ "\.(js|css|gif|jpg|png)$">
Header append Cache-Control "public"
</Files>

# Sets your 403 error document
# not absolutely essential to have,
# or you may already have error pages defined elsewhere
ErrorDocument 403 /forbidden403.shtml

# No sense advertising what we are running
ServerSignature Off


Header unset Pragma
FileETag None
Header unset ETag

# BEGIN Cache-Control Headers
<IfModule mod_headers.c>
<FilesMatch "\\.(ico|jpe?g|png|gif|swf|css|gz)$">
Header set Cache-Control "max-age=2592000, public"
</FilesMatch>
<FilesMatch "\\.(js)$">
Header set Cache-Control "max-age=2592000, private"
</FilesMatch>
<filesMatch "\\.(html|htm)$">
Header set Cache-Control "max-age=7200, public"
</filesMatch>
# Disable caching for scripts and other dynamic files
<FilesMatch "\.(pl|php|cgi|spl|scgi|fcgi)$">
Header unset Cache-Control
</FilesMatch>
</IfModule>

<IfModule mod_headers.c>
  <FilesMatch "\.(js|css|xml|gz)$">
    Header append Vary: Accept-Encoding
  </FilesMatch>
</IfModule>

<IfModule mod_deflate.c>
    #The following line is enough for .js and .css
    AddOutputFilter DEFLATE js css

    #The following line also enables compression by file content type, for the following list of Content-Type:s
    AddOutputFilterByType DEFLATE text/html text/plain text/xml application/xml

    #The following lines are to avoid bugs with some browsers
    BrowserMatch ^Mozilla/4 gzip-only-text/html
    BrowserMatch ^Mozilla/4\.0[678] no-gzip
    BrowserMatch \bMSIE !no-gzip !gzip-only-text/html
</IfModule>
# END Cache-Control Headers
#21
Pour l'erreur 500, c'est parce que je regardais en même temps mon htaccess. dslé Rolleyes
#21
Pour l'erreur 500, c'est parce que je regardais en même temps mon htaccess. dslé Rolleyes
#22
Ton problème vient peut-être de ces lignes :
AddType x-mapp-php6 .php .php3 .php4 .htm .html .js
AddHandler x-mapp-php6 .php .php3 .php4 .htm .html .js

Essaie en les commentant,
ou plutôt en supprimant les .js
#22
Ton problème vient peut-être de ces lignes :
AddType x-mapp-php6 .php .php3 .php4 .htm .html .js
AddHandler x-mapp-php6 .php .php3 .php4 .htm .html .js

Essaie en les commentant,
ou plutôt en supprimant les .js
#23
Un GRAND MERCI à toi Jean le Chauve


c'était les .js qui posaient problème !
#23
Un GRAND MERCI à toi Jean le Chauve


c'était les .js qui posaient problème !
#24
[Résolu] ? Wink
#24
[Résolu] ? Wink


Atteindre :


Utilisateur(s) parcourant ce sujet : 2 visiteur(s)